<template>
	<!-- 提现成功 -->
	<!-- 提醒成功 -->
	<view class="withdrawSucc yocode">
		<view class="headcions">
			<view class="contents">
				<image class="succicon" src="/static/news/succicon.png" mode=""></image>
				<view class="titles">提现申请成功</view>
				<view class="sums">￥{{money}}</view>
			</view>
		</view>
		<!-- 头部end -->
		
		<!-- 提现 -->
		<view class="tixiantypes">
			<view class="heads flex ali-c jus-b">
				<view class="title">提现方式</view>
				<view class="con flex ali-c">
					<image v-show="type==1" class="tixiantype" :src="imgurl" mode=""></image>
					<view v-show="type==1" class="infos">{{cartname}}({{cartrNumber}})</view>
					
					<image v-show="type==0" class="tixiantype" src="/static/users/weixiocn.png" mode=""></image>
					<view v-show="type==0" class="infos">微信钱包</view>
					
				</view>
			</view>
			<view class="tix_body">
				<view class="bodytitle">
					提现状态
				</view>
				<view class="infostatic flex">
					<view class="dian">
						<view class="diancon"></view>
					</view>
					<view class="infocon">
						<view class="conjindu">提现申请已提交等待银行处理；到账时间为T+1, 请您耐心等待。</view>
						<view class="time">{{datatitme}}</view>
					</view>
				</view>
			</view>
		</view>
		<!-- 提现说明end -->
		
		
		<!-- 温馨提示 -->
		<view class="Reminder">
			<view class="title">温馨提醒</view>
			<view class="Reminder_body">
				<view class="Reminder_item">1.商家提现到账时间为T+1模式。</view>
				<view class="Reminder_item">2.节假日申请提现，到账时间将顺延。</view>
			</view>
		</view>
		
		<view class="submitbtnaa submitbtn active" @tap="back">
			知道了
		</view>
		
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				type:0,//0微信 1银行
				money:0,//金额
				cartname:"",//银行名称
				cartrNumber:"",//尾号
				datatitme:"",//当前时间
				imgurl:"",//银行卡的logo
			};
		},
		onLoad(opdata) {
			this.type=opdata.type;
			this.money=opdata.money;
			this.cartname=opdata.cartname;
			this.cartrNumber=opdata.cartrNumber;
			this.imgurl = opdata.imgurl;
			var myDate = new Date()
			let year = myDate.getFullYear();    //获取完整的年份(4位,1970-????)
			let month = myDate.getMonth()+1;       //获取当前月份(0-11,0代表1月)
			let da = myDate.getDate();        //获取当前日(1-31)
			let h = myDate.getHours(); 
			let mm = myDate.getMinutes(); 
			let ss = myDate.getSeconds();
			let dates = year + "-" + month+"-"+da + " " + h+":"+mm;
			this.datatitme = dates;
			
		},
		methods:{
			back(){
				uni.navigateBack({
				    delta: 1
				});
			}
		}
	}
</script>

<style lang="scss">
	@import  "./withdrawSucc.scss"
</style>
